View Issue Details

IDProjectCategoryView StatusLast Update
0005733DarkRadiantGUIpublic14.10.2021 12:08
ReporterBrendonChung Assigned Togreebo  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version2.13.0 
Target Version2.14.0Fixed in Version2.14.0 
Summary0005733: Texture Tool: use aspect ratio of material
DescriptionIn the ctrl+alt+T texture tool, all materials are currently rendered as a square shape. For example, when using a rectangular-shaped material, it gets stretched into a square.

It would be helpful if the texture tool had a toggle for using the material's aspect ratio. This would make tweaking the UVs on non-square materials easier.
TagsNo tags attached.

Relationships

related to 0005746 resolvedgreebo Texture Tool Improvements 

Activities

greebo

greebo

12.10.2021 10:03

administrator   ~0014430

Seems to have been broken by some regression in latest master

Related Changesets

DarkRadiant: textool 2a7c274d

2021-09-10 11:05:57

greebo

Details Diff
0005733: Use the texture aspect ratio to scale the visible UV space Affected Issues
0005733
mod - radiant/textool/TexTool.cpp Diff File
mod - radiant/textool/TexTool.h Diff File

DarkRadiant: master e4e6cf81

2021-10-13 05:02:04

greebo

Details Diff
0005733: Adjust initial texture space calculations Affected Issues
0005733
mod - radiant/textool/TexTool.cpp Diff File

DarkRadiant: master b6a72eae

2021-10-13 05:47:23

greebo

Details Diff
0005733: Adjust calculations on window resize Affected Issues
0005733
mod - radiant/textool/TexTool.cpp Diff File

DarkRadiant: master 26ab05df

2021-10-13 08:49:55

greebo

Details Diff
0005733: Compensate the view's projection aspect ratio when rendering the rotate manipulator Affected Issues
0005733
mod - libs/render.h Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File

DarkRadiant: master af627d54

2021-10-13 11:09:50

greebo

Details Diff
0005733: Crosshair rendering adjusted Affected Issues
0005733
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File

DarkRadiant: master 9e96234e

2021-10-13 15:55:57

greebo

Details Diff
0005733: Rotate manipulation circle is constructed in screen space. Rotation is now respecting texture aspect. Affected Issues
0005733
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.h Diff File

DarkRadiant: master af0dcf5d

2021-10-13 17:48:51

greebo

Details Diff
0005733: Add normalise() and getNormalised() methods Affected Issues
0005733
mod - libs/math/Vector2.h Diff File

DarkRadiant: master d2a96745

2021-10-13 17:49:06

greebo

Details Diff
0005733: Refactoring Affected Issues
0005733
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File

DarkRadiant: master d0279ed9

2021-10-14 12:08:11

greebo

Details Diff
0005733: And another attempt to match the texture aspect ratio correctly Affected Issues
0005733
mod - radiant/textool/TexTool.cpp Diff File

Issue History

Date Modified Username Field Change
27.08.2021 01:33 BrendonChung New Issue
27.08.2021 18:49 greebo Status new => acknowledged
10.09.2021 05:17 greebo Relationship added related to 0005746
10.09.2021 11:06 greebo Status acknowledged => confirmed
10.09.2021 11:06 greebo Assigned To => greebo
10.09.2021 11:06 greebo Status confirmed => assigned
10.09.2021 11:06 greebo Target Version => 2.14.0
10.09.2021 17:08 greebo Changeset attached => DarkRadiant textool 2a7c274d
30.09.2021 19:10 greebo Status assigned => resolved
30.09.2021 19:10 greebo Resolution open => fixed
30.09.2021 19:10 greebo Fixed in Version => 2.14.0
12.10.2021 10:03 greebo Assigned To greebo =>
12.10.2021 10:03 greebo Status resolved => assigned
12.10.2021 10:03 greebo Resolution fixed => reopened
12.10.2021 10:03 greebo Note Added: 0014430
12.10.2021 10:03 greebo Assigned To => greebo
13.10.2021 17:12 greebo Changeset attached => DarkRadiant master e4e6cf81
13.10.2021 17:12 greebo Changeset attached => DarkRadiant master b6a72eae
13.10.2021 17:12 greebo Changeset attached => DarkRadiant master 26ab05df
13.10.2021 17:12 greebo Changeset attached => DarkRadiant master af627d54
13.10.2021 17:12 greebo Changeset attached => DarkRadiant master 9e96234e
13.10.2021 17:12 greebo Status assigned => resolved
13.10.2021 17:12 greebo Resolution reopened => fixed
13.10.2021 17:49 greebo Changeset attached => DarkRadiant master af0dcf5d
13.10.2021 17:49 greebo Changeset attached => DarkRadiant master d2a96745
14.10.2021 12:08 greebo Changeset attached => DarkRadiant master d0279ed9